# -*- rpm-spec -*-

Summary: A GTK widget for VNC clients
Name: gtk-vnc
Version: 0.3.2
Release: 3%{?dist}
License: LGPLv2+
Group: Development/Libraries
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1: %{name}-%{version}-keystate-tracking.patch
Patch2: %{name}-%{version}-keystate-tracking-scancode.patch
Patch3: %{name}-%{version}-big-endian-fix.patch
Patch4: %{name}-%{version}-big-endian-fix-2.patch
Patch5: %{name}-%{version}-mouse-grab.patch
# This patch delibrately deviates from upstream GTK-VNC
# It is a hack because Xen in RHEL-5 does not support the relative
# mouse pointer VNC extension. It will go away in future RHEL
Patch6: %{name}-%{version}-mouse-grab-xen-hack.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://gtk-vnc.sf.net/
BuildRequires: gtk2-devel pygtk2-devel python-devel gnutls-devel zlib-devel
ExclusiveArch: i386 i686 x86_64 ia64

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

%package devel
Summary: Libraries, includes, etc. to compile with the gtk-vnc library
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig
Requires: pygtk2-devel gtk2-devel gnutls-devel

%description devel
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

Libraries, includes, etc. to compile with the gtk-vnc library

%package python
Summary: Python bindings for the gtk-vnc library
Group: Development/Libraries
Requires: %{name} = %{version}

%description python
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

A module allowing use of the GTK-VNC widget from python

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%configure
make

%install
rm -fr %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/python*/site-packages/*.a
rm -f %{buildroot}%{_libdir}/python*/site-packages/*.la

%clean
rm -fr %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc examples/gvncviewer.c
%{_libdir}/lib*.so
%dir %{_includedir}/%{name}-1.0/
%{_includedir}/%{name}-1.0/*.h
%{_libdir}/pkgconfig/%{name}-1.0.pc

%files python
%defattr(-, root, root)
%doc examples/gvncviewer.py
%{_libdir}/python*/site-packages/gtkvnc.so

%changelog
* Thu Mar 27 2008 Daniel P. Berrange <berrange@redhat.com> - 0.3.2-3.el5
- Fix colour conversions for mixed-endian setups (rhbz #431811)
- Fix mouse pointer grab semantics (rhbz #433711)

* Wed Mar 19 2008 Daniel P. Berrange <berrange@redhat.com> - 0.3.2-2.el5
- Fix keyboard state tracking (rhbz #435763)
- Fix endian conversion logic in framebuffer updates (rhbz #431811)

* Mon Jan 14 2008 Daniel P. Berrange <berrange@redhat.com> - 0.3.2-1.el5
- Initial packaging
